Name:           daq
Version:        2.0.6
Release:        2%{?dist}
Summary:        Snort 2.9 introduces the DAQ, or Data Acquisition library, for packet I/O.

Group:          Development/Libraries
License:        GPLv2
URL:            http://www.snort.org/
# http://www.snort.org/downloads/2657
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  flex bison
BuildRequires:  libpcap-devel
BuildRequires:  libdnet-devel
%if 0%{?fedora}
BuildRequires:  libnetfilter_queue-devel
%endif

%description
Snort 2.9 introduces the DAQ, or Data Acquisition library, for packet I/O.  The
DAQ replaces direct calls to libpcap functions with an abstraction layer that
facilitates operation on a variety of hardware and software interfaces without
requiring changes to Snort.  It is possible to select the DAQ type and mode
when invoking Snort to perform pcap readback or inline operation, etc.  The
DAQ library may be useful for other packet processing applications and the
modular nature allows you to build new modules for other platforms.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        static
Summary:        Development files for %{name}
Group:          Development/Libraries

%description    static
The %{name}-static package contains static libraries for
developing applications that use %{name}.


%prep
%setup -q

%build
%configure \
	--enable-ipv6
make


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog README
%{_libdir}/libdaq.so.*
%{_libdir}/libsfbpf.so.*
%{_libdir}/daq/daq_*.so

%files devel
%{_includedir}/*.h
%{_libdir}/libdaq.so
%{_libdir}/libsfbpf.so
%{_bindir}/daq-modules-config

%files static
%{_libdir}/*.a

%changelog
* Sun Aug 09 2015 momo-i <webmaster@momo-i.org> - 2.0.6-2
- Update to 2.0.6

* Fri Jan 10 2014 momo-i <webmaster@momo-i.org> - 2.0.1-2
- Add static package

* Fri Jan 10 2014 momo-i <webmaster@momo-i.org> - 2.0.1-1
- Initial rpm release.
